/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.ai.carCapture.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.modular.ai.carCapture.entity.CarCapture;
import vip.xiaonuo.modular.ai.carCapture.param.CarCaptureAddParam;
import vip.xiaonuo.modular.ai.carCapture.param.CarCaptureEditParam;
import vip.xiaonuo.modular.ai.carCapture.param.CarCaptureIdParam;
import vip.xiaonuo.modular.ai.carCapture.param.CarCapturePageParam;

import java.util.List;

/**
 * 车辆识别Service接口
 *
 * @author newspaper
 * @date  2023/12/29 09:42
 **/
public interface CarCaptureService extends IService<CarCapture> {

    /**
     * 获取车辆识别分页
     *
     * @author newspaper
     * @date  2023/12/29 09:42
     */
    Page<CarCapture> page(CarCapturePageParam carCapturePageParam);

    /**
     * 添加车辆识别
     *
     * @author newspaper
     * @date  2023/12/29 09:42
     */
    void add(CarCaptureAddParam carCaptureAddParam);

    /**
     * 编辑车辆识别
     *
     * @author newspaper
     * @date  2023/12/29 09:42
     */
    void edit(CarCaptureEditParam carCaptureEditParam);

    /**
     * 删除车辆识别
     *
     * @author newspaper
     * @date  2023/12/29 09:42
     */
    void delete(List<CarCaptureIdParam> carCaptureIdParamList);

    /**
     * 获取车辆识别详情
     *
     * @author newspaper
     * @date  2023/12/29 09:42
     */
    CarCapture detail(CarCaptureIdParam carCaptureIdParam);

    /**
     * 获取车辆识别详情
     *
     * @author newspaper
     * @date  2023/12/29 09:42
     **/
    CarCapture queryEntity(String id);
}
