/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.base.baseConfig.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 基础设置添加参数
 *
 * @author newspaper
 * @date  2023/12/08 10:22
 **/
@Getter
@Setter
public class BaseConfigAddParam {

    /** 名称 */
    @ApiModelProperty(value = "名称", required = true, position = 2)
    @NotBlank(message = "configName不能为空")
    private String configName;

    /** 父ID */
    @ApiModelProperty(value = "父ID", required = true, position = 3)
    @NotBlank(message = "parentId不能为空")
    private String parentId;

    /** 状态 0:禁用 1:启用 */
    @ApiModelProperty(value = "状态 0:禁用 1:启用", required = true, position = 4)
    @NotNull(message = "status不能为空")
    private Integer status;

    /** 排序码 */
    @ApiModelProperty(value = "排序码", position = 5)
    private Integer sortCode;

    /** 备注 */
    @ApiModelProperty(value = "备注", position = 6)
    private String remarks;

    /** 组织id */
    @ApiModelProperty(value = "组织id", position = 7)
    @NotBlank(message = "orgId不能为空")
    private String orgId;

}
