/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.base.baseConfig.service;

import cn.hutool.core.lang.tree.Tree;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.org.entity.BizOrg;
import vip.xiaonuo.modular.base.baseConfig.entity.BaseConfig;
import vip.xiaonuo.modular.base.baseConfig.param.*;

import java.util.List;

/**
 * 基础设置Service接口
 *
 * @author newspaper
 * @date  2023/12/08 10:22
 **/
public interface BaseConfigService extends IService<BaseConfig> {

    /**
     * 获取基础设置树
     *
     * @author newspaper
     * @date  2023/12/08 10:22
     */
    List<Tree<String>> tree(BaseConfigOrgIdParam baseConfigOrgIdParam);

    /**
     * 添加基础设置
     *
     * @author newspaper
     * @date  2023/12/08 10:22
     */
    void add(BaseConfigAddParam baseConfigAddParam);

    /**
     * 编辑基础设置
     *
     * @author newspaper
     * @date  2023/12/08 10:22
     */
    void edit(BaseConfigEditParam baseConfigEditParam);

    /**
     * 删除基础设置
     *
     * @author newspaper
     * @date  2023/12/08 10:22
     */
    void delete(List<BaseConfigIdParam> baseConfigIdParamList);

    /**
     * 获取基础设置详情
     *
     * @author newspaper
     * @date  2023/12/08 10:22
     */
    BaseConfig detail(BaseConfigIdParam baseConfigIdParam);

    /**
     * 获取基础设置详情
     *
     * @author newspaper
     * @date  2023/12/08 10:22
     **/
    BaseConfig queryEntity(String id);


    Page<BaseConfig> listChild(BaseConfigListChildParam baseConfigListChildParam);

    List<BizOrg> listOrgId();
}
