/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.bi.pigBreed.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 配种信息添加参数
 *
 * @author wang
 * @date  2023/12/06 15:27
 **/
@Getter
@Setter
public class PigBreedAddParam {

    /** 母猪耳标号 */
    @ApiModelProperty(value = "母猪耳标号", position = 2)
    private String femaleCode;

    /** 品种 */
    @ApiModelProperty(value = "品种", position = 3)
    private Integer femaleBreed;

    /** 品系 */
    @ApiModelProperty(value = "品系", position = 4)
    private Integer femaleStrain;

    /** 母猪当前位置  */
    @ApiModelProperty(value = "母猪当前位置 ", position = 5)
    private String femaleUnitId;

    /** 公猪耳标号 */
    @ApiModelProperty(value = "公猪耳标号", position = 6)
    private String maleCode;

    /** 公猪品种 */
    @ApiModelProperty(value = "公猪品种", position = 7)
    private Integer maleBreed;

    /** 公猪品系 */
    @ApiModelProperty(value = "公猪品系", position = 8)
    private Integer maleStrain;

    /** 公猪当前位置 */
    @ApiModelProperty(value = "公猪当前位置", position = 9)
    private String maleUnitId;

    /** 配种日期 */
    @ApiModelProperty(value = "配种日期", position = 10)
    private Date breedDate;

    /** 配种方式 */
    @ApiModelProperty(value = "配种方式", position = 11)
    private String breedType;

    /** 预产期=配种日期+114天 */
    @ApiModelProperty(value = "预产期=配种日期+114天", position = 12)
    private Integer dayNum;

    /** 备注 */
    @ApiModelProperty(value = "备注", position = 13)
    private String remark;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 14)
    private Date createDate;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 16)
    private Date updateDate;

    /** 组织id */
    @ApiModelProperty(value = "组织id", position = 18)
    private String orgId;

}
