/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.bi.pigdeliver.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 母猪分娩编辑参数
 *
 * @author wang
 * @date  2023/12/07 10:38
 **/
@Getter
@Setter
public class PigDeliverEditParam {

    /** ID */
    @ApiModelProperty(value = "ID", required = true, position = 1)
    @NotNull(message = "id不能为空")
    private Integer id;

    /** 耳标号 */
    @ApiModelProperty(value = "耳标号", position = 2)
    private String eartag;

    /** 当前位置id */
    @ApiModelProperty(value = "当前位置id", position = 3)
    private Integer unitId;

    /** 当前位置名称 */
    @ApiModelProperty(value = "当前位置名称", position = 4)
    private String unitName;

    /** 转入位置id */
    @ApiModelProperty(value = "转入位置id", position = 5)
    private Integer intoId;

    /** 分娩日期 */
    @ApiModelProperty(value = "分娩日期", position = 6)
    private Date deliverDate;

    /** 妊娠天数 自动计算、更新 */
    @ApiModelProperty(value = "妊娠天数 自动计算、更新", position = 7)
    private String deliverDay;

    /** 胎次 */
    @ApiModelProperty(value = "胎次", position = 8)
    private String birthBatch;

    /** 总产仔数 */
    @ApiModelProperty(value = "总产仔数", position = 9)
    private String pigCount;

    /** 活仔数 */
    @ApiModelProperty(value = "活仔数", position = 10)
    private String liveCount;

    /** 弱仔数 */
    @ApiModelProperty(value = "弱仔数", position = 11)
    private String weakCount;

    /** 健仔数 */
    @ApiModelProperty(value = "健仔数", position = 12)
    private String strongCount;

    /** 死胎数 */
    @ApiModelProperty(value = "死胎数", position = 13)
    private String deathCount;

    /** 畸形数 */
    @ApiModelProperty(value = "畸形数", position = 14)
    private String wrongCount;

    /** 木乃伊数 */
    @ApiModelProperty(value = "木乃伊数", position = 15)
    private String uglyCount;

    /** 有效产仔数 */
    @ApiModelProperty(value = "有效产仔数", position = 16)
    private String effectCount;

    /** 活母仔数 */
    @ApiModelProperty(value = "活母仔数", position = 17)
    private String femaleLiveCount;

    /** 活公仔数 */
    @ApiModelProperty(value = "活公仔数", position = 18)
    private String maleLiveCount;

    /** 备注 */
    @ApiModelProperty(value = "备注", position = 19)
    private String remark;

//    /** 创建时间 */
//    @ApiModelProperty(value = "创建时间", position = 20)
//    private Date createDate;

    /** 修改日期 */
    @ApiModelProperty(value = "修改日期", position = 23)
    private Date updateDate;

}
