/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.bi.pigeliminate.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 淘汰信息添加参数
 *
 * @author wang
 * @date  2023/12/08 09:14
 **/
@Getter
@Setter
public class PigEliminateAddParam {

    /** 耳标号 */
    @ApiModelProperty(value = "耳标号", position = 2)
    private String eartag;

    /** 当前位置id */
    @ApiModelProperty(value = "当前位置id", position = 3)
    private String unitId;

    /** 当前位置 */
    @ApiModelProperty(value = "当前位置", position = 4)
    private String unitName;

    /** 淘汰日期 */
    @ApiModelProperty(value = "淘汰日期", position = 5)
    private Date eliminateDate;

    /** 淘汰原因 */
    @ApiModelProperty(value = "淘汰原因", position = 6)
    private String eliminateReason;

    /** 体重 */
    @ApiModelProperty(value = "体重", position = 7)
    private String weigth;

    /** 备注 */
    @ApiModelProperty(value = "备注", position = 8)
    private String remark;

//    /** 创建日期 */
//    @ApiModelProperty(value = "创建日期", position = 9)
//    private Date createDate;

//    /** 删除标志 */
//    @ApiModelProperty(value = "删除标志", position = 11)
//    private String deleteFlag;

    /** 组织id */
    @ApiModelProperty(value = "组织id", position = 13)
    private String orgId;

}
