/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.bi.pigfiles.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.modular.bi.pigfiles.entity.PigFiles;
import vip.xiaonuo.modular.bi.pigfiles.param.PigFilesAddParam;
import vip.xiaonuo.modular.bi.pigfiles.param.PigFilesEditParam;
import vip.xiaonuo.modular.bi.pigfiles.param.PigFilesIdParam;
import vip.xiaonuo.modular.bi.pigfiles.param.PigFilesPageParam;

import java.util.List;

/**
 * 猪只档案Service接口
 *
 * @author wang
 * @date  2023/12/06 14:33
 **/
public interface PigFilesService extends IService<PigFiles> {

    /**
     * 获取猪只档案分页
     *
     * @author wang
     * @date  2023/12/06 14:33
     */
    Page<PigFiles> page(PigFilesPageParam pigFilesPageParam);

    /**
     * 添加猪只档案
     *
     * @author wang
     * @date  2023/12/06 14:33
     */
    CommonResult add(PigFilesAddParam pigFilesAddParam);

    /**
     * 编辑猪只档案
     *
     * @author wang
     * @date  2023/12/06 14:33
     */
    CommonResult edit(PigFilesEditParam pigFilesEditParam);

    /**
     * 删除猪只档案
     *
     * @author wang
     * @date  2023/12/06 14:33
     */
    void delete(List<PigFilesIdParam> pigFilesIdParamList);

    /**
     * 获取猪只档案详情
     *
     * @author wang
     * @date  2023/12/06 14:33
     */
    PigFiles detail(PigFilesIdParam pigFilesIdParam);

    /**
     * 获取猪只档案详情
     *
     * @author wang
     * @date  2023/12/06 14:33
     **/
    PigFiles queryEntity(Integer id);
}
