/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.bi.pigsemen.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 采精信息实体
 *
 * @author wang
 * @date  2023/12/08 10:22
 **/
@Getter
@Setter
@TableName("pig_semen")
public class PigSemen {

    /** ID */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value = "ID", position = 1)
    private Integer id;

    /** 公猪耳标号 */
    @ApiModelProperty(value = "公猪耳标号", position = 2)
    private String eartag;

    /** 品种 */
    @ApiModelProperty(value = "品种", position = 3)
    private String breed;

    /** 品系 */
    @ApiModelProperty(value = "品系", position = 4)
    private String strain;

    /** 当前位置id */
    @ApiModelProperty(value = "当前位置id", position = 5)
    private String unitId;

    /** 当前位置 */
    @ApiModelProperty(value = "当前位置", position = 6)
    private String unitName;

    /** 采精日期 */
    @ApiModelProperty(value = "采精日期", position = 7)
    private Date collectSemenDate;

    /** 采精量 */
    @ApiModelProperty(value = "采精量", position = 8)
    private String collectSemenValue;

    /** 精液等级 */
    @ApiModelProperty(value = "精液等级", position = 9)
    private String semenLevel;

    /** 色泽 */
    @ApiModelProperty(value = "色泽", position = 10)
    private String semenColor;

    /** 气味 */
    @ApiModelProperty(value = "气味", position = 11)
    private String semenSmell;

    /** 精子活力 */
    @ApiModelProperty(value = "精子活力", position = 12)
    private String semenLive;

    /** 精子密度 */
    @ApiModelProperty(value = "精子密度", position = 13)
    private String semenDensity;

    /** 畸形 */
    @ApiModelProperty(value = "畸形", position = 14)
    private String semenUgly;

    /** 精子稀释活力 */
    @ApiModelProperty(value = "精子稀释活力", position = 15)
    private String semenDilute;

    /** 精子稀释份数 */
    @ApiModelProperty(value = "精子稀释份数", position = 16)
    private String semenDiluteValue;

    /** 备注 */
    @ApiModelProperty(value = "备注", position = 17)
    private String remark;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 18)
    private Date createDate;

    /** 创建人 */
    @ApiModelProperty(value = "创建人", position = 19)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 删除标志 */
    @ApiModelProperty(value = "删除标志", position = 20)
    @TableLogic
    @TableField(fill = FieldFill.INSERT)
    private String deleteFlag;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 21)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 组织id */
    @ApiModelProperty(value = "组织id", position = 22)
    private String orgId;
}
