/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.feed.feedingfat.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.data.repository.query.Param;
import vip.xiaonuo.modular.feed.feedingfat.entity.FeedingFat;
import vip.xiaonuo.modular.feed.feedingfat.vo.FeedingFatVo;
import vip.xiaonuo.modular.feed.feedingfat.vo.FeedingFatVo2;

import java.util.List;

/**
 * 精准饲喂母猪采食Mapper接口
 *
 * @author wang
 * @date  2023/12/28 09:22
 **/
public interface FeedingFatMapper extends BaseMapper<FeedingFat> {

    FeedingFatVo getFeed(@Param("unitId") List<String> unitId, @Param("orgId") String orgId);

    IPage<FeedingFatVo> listPage(Page<FeedingFat> page, @Param(Constants.WRAPPER) QueryWrapper<FeedingFat> queryWrapper);

    List<FeedingFatVo2> listFeedDetail(@Param(Constants.WRAPPER) QueryWrapper<FeedingFat> queryWrapper);
    List<FeedingFatVo2> listTempDetail(@Param(Constants.WRAPPER) QueryWrapper<FeedingFat> queryWrapper);
    List<FeedingFatVo2> listActDetail(@Param(Constants.WRAPPER) QueryWrapper<FeedingFat> queryWrapper);
    List<FeedingFatVo2> listWeightDetail(@Param(Constants.WRAPPER) QueryWrapper<FeedingFat> queryWrapper);
}
