/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.feed.feedingthreshold.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 精准饲喂阈值实体
 *
 * @author wang
 * @date  2024/01/02 10:37
 **/
@Getter
@Setter
@TableName("feeding_threshold")
public class FeedingThreshold {

    /** ID */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value = "ID", position = 1)
    private Integer id;

    /** 阈值类型  1猪只 2为料塔 */
    @ApiModelProperty(value = "阈值类型  1猪只 2为料塔 ", position = 2)
    private Integer thresholdType;

    /** 余料下限 */
    @ApiModelProperty(value = "余料下限", position = 3)
    private String marginValue;

    /** 采食上限 */
    @ApiModelProperty(value = "采食上限", position = 4)
    private String feedUpper;

    /** 采食下限 */
    @ApiModelProperty(value = "采食下限", position = 5)
    private String feedLower;

    /** 饮水上限 */
    @ApiModelProperty(value = "饮水上限", position = 6)
    private String waterUpper;

    /** 饮水下限 */
    @ApiModelProperty(value = "饮水下限", position = 7)
    private String waterLower;

    /** 组织id */
    @ApiModelProperty(value = "组织id", position = 8)
    private String orgId;

    /** 创建人 */
    @ApiModelProperty(value = "创建人", position = 9)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 10)
    private Date createDate;

    /** 删除标志 */
    @ApiModelProperty(value = "删除标志", position = 11)
    @TableLogic
    @TableField(fill = FieldFill.INSERT)
    private String deleteFlag;

    /** 肥猪采食上限 */
    @ApiModelProperty(value = "肥猪采食上限", position = 12)
    private String fatFeedUpper;

    /** 肥猪采食下限 */
    @ApiModelProperty(value = "肥猪采食下限", position = 13)
    private String fatFeedLower;

    /** 肥猪饮水上限 */
    @ApiModelProperty(value = "肥猪饮水上限", position = 14)
    private String fatWaterUpper;

    /** 肥猪饮水下限 */
    @ApiModelProperty(value = "肥猪饮水下限", position = 15)
    private String fatWaterLower;

    /** 料塔名称 */
    @ApiModelProperty(value = "肥猪饮水下限", position = 16)
    private String feedingName;

    /** 料塔单元id */
    @ApiModelProperty(value = "肥猪饮水下限", position = 17)
    private String feedingUnitId;
}
