/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.warning.warningInfo.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 预警查询参数
 *
 * @author newspaper
 * @date  2023/12/26 13:40
 **/
@Getter
@Setter
public class WarningInfoPageParam {

    /** 当前页 */
    @ApiModelProperty(value = "当前页码")
    private Integer current;

    /** 每页条数 */
    @ApiModelProperty(value = "每页条数")
    private Integer size;

    /** 预警类型 */
    @ApiModelProperty(value = "预警类型")
    private String warningType;

    /** 预警位置ID */
    @ApiModelProperty(value = "预警位置ID")
    private String unitId;

    /** 显示类型 */
    @ApiModelProperty(value = "显示类型", required = true, example = "0:今日, 1:本周, 2:本月, 3:自定义")
    @NotBlank(message = "显示类型不能为空")
    private String type;

    /** 预警时间开始 */
    @ApiModelProperty(value = "预警时间开始")
    private String startWarningTime;

    /** 预警时间结束 */
    @ApiModelProperty(value = "预警时间结束")
    private String endWarningTime;

    /** 组织ID */
    @ApiModelProperty(value = "组织ID", position = 99)
    private String orgId;

}
